getr <- function (xname, path = "", gz = FALSE)
{
    if (gz) {
        if (length(unix.shell(paste("if (-e ", path, ".RData",
            xname, ") echo 'found'; endif", sep = ""), shell = "/bin/csh")) ==
            1) {
            print("found unzipped version, use this")
            delflag <- F
        }
        else {
            unix(paste("gunzip -c ", path, ".RData", xname, ".gz > ",
                path, ".RData", xname, sep = ""))
            delflag <- T
        }
    }
    attach(paste(path, ".RData", xname, sep = ""), pos = 2)
    dat <- get(xname, pos = 2)
    detach(2)
    if (gz) {
        if (delflag) {
            unix(paste("rm ", path, ".RData", xname, sep = ""))
        }
    }
    return(dat)
}
