# delete intermediate files, but leave loess filtered tiles

scriptpath=getwd()

# read configuration
source(paste(scriptpath,"/config.r",sep=""))


########################### Clean up ###########################################

# delete all R data intermediate files that were created after combining
# so the preprocess has to start at the cutting step
system(paste("rm -f ",rdataout,"/.*Classed*",sep=""))
system(paste("rm -f ",rdataout,"/.*Cutted*",sep=""))
system(paste("rm -f ",rdataout,"/.*Aggregated*",sep=""))
system(paste("rm -f ",rdataout,"/.*Min*",sep=""))
system(paste("rm -f ",rdataout,"/.*Max*",sep=""))

# delete some other temporary files
system(paste("rm -f ",mpath,"/parameter.prm",sep=""))
system(paste("rm -f ",mpath,"/dayfile.txt",sep=""))
system(paste("rm -f ",mpath,"/mrtmosaic.hdf",sep=""))
